
import { world, system, BlockPermutation} from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent("mc:test", {
        onPlace: e => {
        	const block = e.block;
	        const bloc = block.location;
            // Obtém a direção do bloco base
            const direction = block.permutation.getState("minecraft:cardinal_direction");
            const permutation = e.block.permutation;
            const blockAbove = block.above();
        	if (permutation.matches("mc:petrified_player", { "mc:statue_part": "body" }) || 
        permutation.matches("mc:petrified_player", { "mc:statue_part": "head" })) {
        return; // Sai da função para evitar loop
    }
    if (blockAbove && !(blockAbove.isAir || blockAbove.isLiquid)) {
        return;  // Impede o bloco de ser colocado
    }

            // Define os blocos acima com seus estados corretamente
            e.dimension.runCommand(`setblock ${bloc.x} ${bloc.y + 1} ${bloc.z} mc:petrified_player ["mc:statue_part"="body","minecraft:cardinal_direction"="${direction}"]`);
            e.dimension.runCommand(`setblock ${bloc.x} ${bloc.y + 2} ${bloc.z} mc:petrified_player ["mc:statue_part"="head","minecraft:cardinal_direction"="${direction}"]`);
        }
    });
});

world.beforeEvents.playerBreakBlock.subscribe((data) => {
    const { block } = data;
    const bloc = block.location;
    const blockAbove = block.above();
    const blockTop = blockAbove.above();
    const blockBelow = block.below();
    
    // Verifica o estado do bloco quebrado e o dos blocos ao redor
    const statuePart = block.permutation.getState("mc:statue_part");
    const aboveStatuePart = blockAbove?.permutation.getState("mc:statue_part");
    const topStatuePart = blockTop?.permutation.getState("mc:statue_part");
    
    if (statuePart === "head") {
        system.run(() => {
            block.below().setType("minecraft:air");
            block.below(1).setType("minecraft:air");
            data.dimension.runCommand(`setblock ${bloc.x} ${bloc.y - 2} ${bloc.z} minecraft:air destroy`);
        });
    } 
    else if (statuePart === "body" && aboveStatuePart === "head" && blockBelow?.typeId === "mc:petrified_player") {
        system.run(() => {
            blockAbove.setType("minecraft:air");
            data.dimension.runCommand(`setblock ${bloc.x} ${bloc.y - 1} ${bloc.z} minecraft:air destroy`);
        });
    } 
    else if (statuePart === "body" && aboveStatuePart === "body" && topStatuePart === "head") {
        system.run(() => {
            blockAbove(1).setType("minecraft:air");
            blockAbove.setType("minecraft:air");
        });
    }
});