import { world, system, GameMode } from "@minecraft/server";

world.afterEvents.itemUse.subscribe(eventData => {
  const player = eventData.source;
  const itemUsed = eventData.itemStack;
  const playerEquippable = player.getComponent("equippable");
  const customStaff = [
    "mc:ice_sword",
    "mc:fire_sword",
    "mc:staff_griffin",
    "mc:artemis_bow",
    "mc:rock_golem_fist",
    "mc:lightning_of_zeus",
    "mc:hades_bident",
    "mc:minotaur_axe",
    "mc:parchment_of_clouds",
    "mc:parchment_of_clouds_activated",
    "mc:centaur_gang",
    "mc:sun_orb",
    "mc:staff_apollo",
    "mc:griffin_controller_wand",
    "mc:dragon_controller_wand",
    "mc:goblin_controller_wand",
    "mc:leshy_hand",
    "mc:wooden_club",
    "mc:medusa_head"
  ]
  
  function lyre () {
  	const t = Math.random();
  	if (t > 0.40) {
  		player.runCommandAsync(`playsound mob.lyre.music1 @p ~ ~ ~ 1 1 1`);
  		}
    else if (t > 0.20) {
    	player.runCommandAsync(`playsound mob.lyre.music2 @p ~ ~ ~ 1 1 1`);
    	}
    	else if (t > 0.10) {
    		player.runCommandAsync(`playsound mob.lyre.music3 @p ~ ~ ~ 1 1 1`);
    		}
    		}
  function hand () {
  	const t = Math.random();
  	if (t > 0.40) {
  		player.runCommandAsync(`summon mc:friendly_giant_wolf ~-1 ~ ~`);
  		player.runCommandAsync(`summon mc:friendly_giant_wolf ~ ~ ~-1`);
  		player.runCommandAsync(`summon mc:friendly_giant_wolf ~1 ~ ~`);
  		player.runCommandAsync(`summon mc:friendly_giant_wolf ~ ~ ~1`);
  		}
  	else if (t > 0.20) {
  		player.runCommandAsync(`summon mc:friendly_giant_bear ~-1 ~ ~`);
  		}
  		else if (t > 0.10) {
  		player.runCommandAsync(`summon mc:friendly_crocodile ~-1 ~ ~`);
  		}
  		}
        
  function damageDurability () {
    if (!player.matches({ gameMode: GameMode.creative })) {
      const itemEnchantable = itemUsed.getComponent("minecraft:enchantable");
      const unbreakingLevel = itemEnchantable?.getEnchantment("unbreaking")?.level ?? 0;
      const breakChance = 100 / (unbreakingLevel + 1);
      const randomizeChance = Math.random() * 100;
      if (breakChance < randomizeChance) return;
      const itemDurability = itemUsed.getComponent("durability");
      if (!itemDurability) return;
      const itemMaxDurability = itemDurability.maxDurability;
      const itemDurabilityDamage = itemDurability.damage;
      const durabilityCalculation = itemMaxDurability - itemDurabilityDamage;
      let damageAmount = 3;
      const currentDurability = durabilityCalculation - damageAmount;
      if (currentDurability <= 0) {
        player.playSound("random.break", { pitch: 0.9, location: player.location, volume: 1 });
        playerEquippable.setEquipment("Mainhand", null);
      }
      else {
        itemDurability.damage += damageAmount;
        playerEquippable.setEquipment("Mainhand", itemUsed)
      }
    }
  }
  function damageDurability11 () {
    if (!player.matches({ gameMode: GameMode.creative })) {
      const itemEnchantable = itemUsed.getComponent("minecraft:enchantable");
      const unbreakingLevel = itemEnchantable?.getEnchantment("unbreaking")?.level ?? 0;
      const breakChance = 100 / (unbreakingLevel + 1);
      const randomizeChance = Math.random() * 100;
      if (breakChance < randomizeChance) return;
      const itemDurability = itemUsed.getComponent("durability");
      if (!itemDurability) return;
      const itemMaxDurability = itemDurability.maxDurability;
      const itemDurabilityDamage = itemDurability.damage;
      const durabilityCalculation = itemMaxDurability - itemDurabilityDamage;
      let damageAmount = 36;
      const currentDurability = durabilityCalculation - damageAmount;
      if (currentDurability <= 0) {
        player.playSound("random.break", { pitch: 0.9, location: player.location, volume: 1 });
        playerEquippable.setEquipment("Mainhand", null);
      }
      else {
        itemDurability.damage += damageAmount;
        playerEquippable.setEquipment("Mainhand", itemUsed)
      }
    }
  }
  function damageDurability12 () {
    if (!player.matches({ gameMode: GameMode.creative })) {
      const itemEnchantable = itemUsed.getComponent("minecraft:enchantable");
      const unbreakingLevel = itemEnchantable?.getEnchantment("unbreaking")?.level ?? 0;
      const breakChance = 100 / (unbreakingLevel + 1);
      const randomizeChance = Math.random() * 100;
      if (breakChance < randomizeChance) return;
      const itemDurability = itemUsed.getComponent("durability");
      if (!itemDurability) return;
      const itemMaxDurability = itemDurability.maxDurability;
      const itemDurabilityDamage = itemDurability.damage;
      const durabilityCalculation = itemMaxDurability - itemDurabilityDamage;
      let damageAmount = 10;
      const currentDurability = durabilityCalculation - damageAmount;
      if (currentDurability <= 0) {
        player.playSound("random.break", { pitch: 0.9, location: player.location, volume: 1 });
        playerEquippable.setEquipment("Mainhand", null);
      }
      else {
        itemDurability.damage += damageAmount;
        playerEquippable.setEquipment("Mainhand", itemUsed)
      }
    }
  }
  function damageDurability1 () {
    if (!player.matches({ gameMode: GameMode.creative })) {
      const itemEnchantable = itemUsed.getComponent("minecraft:enchantable");
      const unbreakingLevel = itemEnchantable?.getEnchantment("unbreaking")?.level ?? 0;
      const breakChance = 100 / (unbreakingLevel + 1);
      const randomizeChance = Math.random() * 100;
      if (breakChance < randomizeChance) return;
      const itemDurability = itemUsed.getComponent("durability");
      if (!itemDurability) return;
      const itemMaxDurability = itemDurability.maxDurability;
      const itemDurabilityDamage = itemDurability.damage;
      const durabilityCalculation = itemMaxDurability - itemDurabilityDamage;
      let damageAmount = 1;
      const currentDurability = durabilityCalculation - damageAmount;
      if (currentDurability <= 0) {
        player.playSound("random.break", { pitch: 0.9, location: player.location, volume: 1 });
        playerEquippable.setEquipment("Mainhand", null);
      }
      else {
        itemDurability.damage += damageAmount;
        playerEquippable.setEquipment("Mainhand", itemUsed)
      }
    }
  }
  function damageDurability2 () {
    if (!player.matches({ gameMode: GameMode.creative })) {
      const itemEnchantable = itemUsed.getComponent("minecraft:enchantable");
      const unbreakingLevel = itemEnchantable?.getEnchantment("unbreaking")?.level ?? 0;
      const breakChance = 100 / (unbreakingLevel + 1);
      const randomizeChance = Math.random() * 100;
      if (breakChance < randomizeChance) return;
      const itemDurability = itemUsed.getComponent("durability");
      if (!itemDurability) return;
      const itemMaxDurability = itemDurability.maxDurability;
      const itemDurabilityDamage = itemDurability.damage;
      const durabilityCalculation = itemMaxDurability - itemDurabilityDamage;
      let damageAmount = 4;
      const currentDurability = durabilityCalculation - damageAmount;
      if (currentDurability <= 0) {
        player.playSound("random.break", { pitch: 0.9, location: player.location, volume: 1 });
        playerEquippable.setEquipment("Mainhand", null);
      }
      else {
        itemDurability.damage += damageAmount;
        playerEquippable.setEquipment("Mainhand", itemUsed)
      }
    }
  }
  if (itemUsed === undefined) return;
  if (customStaff.includes(itemUsed.typeId)) {    
    if (itemUsed.typeId === "mc:ice_sword") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
        let projectileEntity = player.dimension.spawnEntity("mc:ice_sword_attack", {
          x: player.location.x + (player.getViewDirection().x),
          y: player.location.y + 1.5 + (player.getViewDirection().y),
          z: player.location.z + (player.getViewDirection().z)
        });
        let projectileComponent = projectileEntity.getComponent("minecraft:projectile");
        let velocity = { x: player.getViewDirection().x, y: player.getViewDirection().y, z: player.getViewDirection().z };
        projectileComponent.owner = player;
        projectileComponent.shoot( velocity );
        player.playSound("mob.ghast.fireball", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        player.runCommandAsync(`effect @p water_breathing 2 2 true`);
        player.runCommandAsync(`summon mc:knockback_player2 ~ ~ ~`);
        damageDurability ();
      }
    }
    if (itemUsed.typeId === "mc:fire_sword") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
        let projectileEntity = player.dimension.spawnEntity("mc:fire_sword_attack", {
          x: player.location.x + (player.getViewDirection().x),
          y: player.location.y + 1.5 + (player.getViewDirection().y),
          z: player.location.z + (player.getViewDirection().z)
        });
        let projectileComponent = projectileEntity.getComponent("minecraft:projectile");
        let velocity = { x: player.getViewDirection().x, y: player.getViewDirection().y, z: player.getViewDirection().z };
        projectileComponent.owner = player;
        projectileComponent.shoot( velocity );
        player.playSound("mob.ghast.fireball", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        player.runCommandAsync(`effect @p fire_resistance 2 2 true`);
        player.runCommandAsync(`summon mc:knockback_player2 ~ ~ ~`);
        damageDurability ();
      }
    }
    if (itemUsed.typeId === "mc:staff_griffin") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
        let projectileEntity = player.dimension.spawnEntity("mc:griffin_projectile_player", {
          x: player.location.x + (player.getViewDirection().x),
          y: player.location.y + 1.5 + (player.getViewDirection().y),
          z: player.location.z + (player.getViewDirection().z)
        });
        let projectileComponent = projectileEntity.getComponent("minecraft:projectile");
        let velocity = { x: player.getViewDirection().x, y: player.getViewDirection().y, z: player.getViewDirection().z };
        projectileComponent.owner = player;
        projectileComponent.shoot( velocity );
        player.playSound("mob.ghast.fireball", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability1 ();
      }
    }
    if (itemUsed.typeId === "mc:artemis_bow") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
        let projectileEntity = player.dimension.spawnEntity("mc:artemis_arrow", {
          x: player.location.x + (player.getViewDirection().x),
          y: player.location.y + 1.5 + (player.getViewDirection().y),
          z: player.location.z + (player.getViewDirection().z)
        });
        let projectileComponent = projectileEntity.getComponent("minecraft:projectile");
        let velocity = { x: player.getViewDirection().x, y: player.getViewDirection().y, z: player.getViewDirection().z };
        projectileComponent.owner = player;
        projectileComponent.shoot( velocity );
        player.playSound("random.bow", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability1 ();
      }
    }
    if (itemUsed.typeId === "mc:rock_golem_fist") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
      	if (player.isSneaking) {
        player.runCommandAsync(`summon mc:player_rock_golem_attack ~-2 ~ ~2`);
        player.runCommandAsync(`summon mc:player_rock_golem_attack ~ ~ ~2`);
        player.runCommandAsync(`summon mc:player_rock_golem_attack ~2 ~ ~2`);
        player.runCommandAsync(`summon mc:player_rock_golem_attack ~2 ~ ~`);
        player.runCommandAsync(`summon mc:player_rock_golem_attack ~2 ~ ~-2`);
        player.runCommandAsync(`summon mc:player_rock_golem_attack ~-2 ~ ~`);
        player.runCommandAsync(`summon mc:player_rock_golem_attack ~-2 ~ ~-2`);
        player.runCommandAsync(`summon mc:player_rock_golem_attack ~ ~ ~-2`);
        player.playSound("mob.evocation_illager.cast_spell", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability2 ();
        }
        else {
        let projectileEntity = player.dimension.spawnEntity("mc:stone_projectile", {
          x: player.location.x + (player.getViewDirection().x),
          y: player.location.y + 1.5 + (player.getViewDirection().y),
          z: player.location.z + (player.getViewDirection().z)
        });
        let projectileComponent = projectileEntity.getComponent("minecraft:projectile");
        let velocity = { x: player.getViewDirection().x, y: player.getViewDirection().y, z: player.getViewDirection().z };
        projectileComponent.owner = player;
        projectileComponent.shoot( velocity );
        player.playSound("mob.ghast.fireball", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability2 ();
        }
      }
    }
    if (itemUsed.typeId === "mc:lightning_of_zeus") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
        let projectileEntity = player.dimension.spawnEntity("mc:lightning_bolt", {
          x: player.location.x + (player.getViewDirection().x),
          y: player.location.y + 1.5 + (player.getViewDirection().y),
          z: player.location.z + (player.getViewDirection().z)
        });
        let projectileComponent = projectileEntity.getComponent("minecraft:projectile");
        let velocity = { x: player.getViewDirection().x, y: player.getViewDirection().y, z: player.getViewDirection().z };
        projectileComponent.owner = player;
        projectileComponent.shoot( velocity );
        player.playSound("ambient.weather.lightning.impact", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability1 ();
      }
    }
    if (itemUsed.typeId === "mc:hades_bident") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
        let projectileEntity = player.dimension.spawnEntity("mc:hades_projectile", {
          x: player.location.x + (player.getViewDirection().x),
          y: player.location.y + 1.5 + (player.getViewDirection().y),
          z: player.location.z + (player.getViewDirection().z)
        });
        let projectileComponent = projectileEntity.getComponent("minecraft:projectile");
        let velocity = { x: player.getViewDirection().x, y: player.getViewDirection().y, z: player.getViewDirection().z };
        projectileComponent.owner = player;
        projectileComponent.shoot( velocity );
        player.playSound("mob.ghast.fireball", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability ();
      }
    }
    if (itemUsed.typeId === "mc:minotaur_axe") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
        player.runCommandAsync(`summon mc:entity_dirt_attack ~ ~ ~`);
        player.playAnimation("attack");
        damageDurability1 ();
      }
    }
    if (itemUsed.typeId === "mc:parchment_of_clouds") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
        player.runCommandAsync(`replaceitem entity @p slot.weapon.mainhand 0 mc:parchment_of_clouds_activated`);
        player.runCommandAsync(`fill ~1~-1~1 ~-1~-1~-1 mc:cloud_block  replace air `);
        player.playAnimation("attack");
        damageDurability1 ();
      }
    }
    if (itemUsed.typeId === "mc:parchment_of_clouds_activated") {
        player.runCommandAsync(`replaceitem entity @p slot.weapon.mainhand 0 mc:parchment_of_clouds`);
        player.runCommandAsync(`fill ~1~-1~1 ~-1~-1~-1 mc:cloud_block  replace air `);
        player.playAnimation("attack");
        damageDurability1 ();
    }
    if (itemUsed.typeId === "mc:centaur_gang") {
        player.runCommandAsync(`summon mc:friendly_centaur ~1~~`);
        player.runCommandAsync(`summon mc:friendly_centaur ~~~1`);
        player.runCommandAsync(`summon mc:friendly_centaur ~~~-1`);
        player.runCommandAsync(`particle mc:heart_particle ~~~`);
        player.runCommandAsync(`particle mc:heart_particle ~~~`);
        player.runCommandAsync(`particle mc:heart_particle ~~~`);
        player.runCommandAsync(`particle mc:heart_particle ~~~`);
        player.runCommandAsync(`particle mc:heart_particle ~~~`);
        player.runCommandAsync(`clear @s mc:centaur_gang 0`)
        player.playAnimation("attack");
        damageDurability1 ();
    }
    if (itemUsed.typeId === "mc:sun_orb") {
        player.runCommandAsync(`time set day`);
        player.runCommandAsync(`weather clear`);
        player.runCommandAsync(`particle mc:sun_staff_particle ~~~`);
        player.runCommandAsync(`particle mc:sun_staff_particle ~~~`);
        player.runCommandAsync(`particle mc:sun_staff_particle ~~~`);
        player.runCommandAsync(`particle mc:sun_staff_particle ~~~`);
        player.runCommandAsync(`particle mc:sun_staff_particle ~~~`);
        player.playAnimation("attack");
        damageDurability1 ();
    }
    if (itemUsed.typeId === "mc:staff_apollo") {
    	const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
        player.runCommandAsync(`time set day`);
        player.runCommandAsync(`weather clear`);
        player.runCommandAsync(`particle mc:sun_staff_particle ~~~`);
        player.runCommandAsync(`particle mc:sun_staff_particle ~~~`);
        player.runCommandAsync(`particle mc:sun_staff_particle ~~~`);
        player.runCommandAsync(`particle mc:sun_staff_particle ~~~`);
        player.runCommandAsync(`particle mc:sun_staff_particle ~~~`);
        player.playAnimation("attack");
        lyre ();
        damageDurability1 ();
        }
    }
    if (itemUsed.typeId === "mc:griffin_controller_wand") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
      	const ride = player.getComponent( "minecraft:riding" );
      	const ridingEntity = ride?.entityRidingOn;
        if (ridingEntity.typeId === 'mc:griffin') {
        	let projectileEntity = player.dimension.spawnEntity("mc:griffin_projectile_player", {
          x: player.location.x + (player.getViewDirection().x),
          y: player.location.y + 1.5 + (player.getViewDirection().y),
          z: player.location.z + (player.getViewDirection().z)
        });
        let projectileComponent = projectileEntity.getComponent("minecraft:projectile");
        let velocity = { x: player.getViewDirection().x, y: player.getViewDirection().y, z: player.getViewDirection().z };
        projectileComponent.owner = player;
        projectileComponent.shoot( velocity );
        player.playSound("mob.ghast.fireball", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability2 ();
        }
        else {
        	player.runCommandAsync(``);
        	}
      }
    }
    if (itemUsed.typeId === "mc:dragon_controller_wand") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
      	const ride = player.getComponent( "minecraft:riding" );
      	const ridingEntity = ride?.entityRidingOn;
        if (ridingEntity.typeId === 'mc:fire_dragon') {
        	let projectileEntity = player.dimension.spawnEntity("mc:fireball_dragon", {
          x: player.location.x + (player.getViewDirection().x),
          y: player.location.y + 1.5 + (player.getViewDirection().y),
          z: player.location.z + (player.getViewDirection().z)
        });
        let projectileComponent = projectileEntity.getComponent("minecraft:projectile");
        let velocity = { x: player.getViewDirection().x, y: player.getViewDirection().y, z: player.getViewDirection().z };
        projectileComponent.owner = player;
        projectileComponent.shoot( velocity );
        player.playSound("mob.ghast.fireball", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability2 ();
        }
        else if (ridingEntity.typeId === 'mc:ice_dragon') {
        	let projectileEntity = player.dimension.spawnEntity("mc:iceball_dragon", {
          x: player.location.x + (player.getViewDirection().x),
          y: player.location.y + 1.5 + (player.getViewDirection().y),
          z: player.location.z + (player.getViewDirection().z)
        });
        let projectileComponent = projectileEntity.getComponent("minecraft:projectile");
        let velocity = { x: player.getViewDirection().x, y: player.getViewDirection().y, z: player.getViewDirection().z };
        projectileComponent.owner = player;
        projectileComponent.shoot( velocity );
        player.playSound("mob.ghast.fireball", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability2 ();
        }
        else {
        	player.runCommandAsync(``);
        	}
      }
    }
    if (itemUsed.typeId === "mc:goblin_controller_wand") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
      	if (player.isSneaking) {
        player.playAnimation("attack");
        }
        else {
        player.runCommandAsync(`event entity @e[tag=goblin_tamed] give_to_player`);
        player.playSound("mob.ghast.fireball", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability2 ();
        }
      }
    }
    if (itemUsed.typeId === "mc:leshy_hand") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown >= 1200) {
      	player.runCommandAsync(`titleraw @p actionbar {"rawtext":[{"translate":"function.leshy_hand1"}]}`);
  		player.runCommandAsync(`execute as @p positioned ~~~ run particle mc:leshy_particle ~~~`);
  		player.runCommandAsync(`execute as @p positioned ~~~ run particle mc:leshy_particle ~~~`);
  		player.runCommandAsync(`execute as @p positioned ~~~ run particle mc:leshy_particle ~~~`);
  		player.runCommandAsync(`execute as @p positioned ~~~ run particle mc:leshy_particle ~~~`);
  		player.runCommandAsync(`execute as @p positioned ~~~ run particle mc:leshy_particle ~~~`);
        player.playSound("mob.ghast.fireball", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability11 ();
        hand ();
      }
    }
    if (itemUsed.typeId === "mc:wooden_club") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
        player.runCommandAsync(`summon mc:knockback_player ~ ~ ~`);
        player.playSound("mob.ghast.fireball", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability12 ();
      }
    }
    if (itemUsed.typeId === "mc:medusa_head") {
      const cooldown = itemUsed.getComponent("cooldown").getCooldownTicksRemaining(player);
      if (cooldown == 47) {
        player.runCommandAsync(`execute at @e[type=!item,type=!xp_orb,family=!inanimate,family=!player,r=16,c=1] positioned ~ ~ ~ run setblock ~ ~ ~ mc:medusa_stone`);
        player.runCommandAsync(`execute at @e[type=!item,type=!xp_orb,family=!inanimate,family=!player,r=16,c=1] positioned ~ ~ ~ run setblock ~ ~1 ~ mc:medusa_stone`);
        player.runCommandAsync(`tp @e[type=!item,type=!xp_orb,family=!inanimate,family=!player,r=16,c=1] ~ ~-1000 ~`);
        player.playSound("mob.medusa.scream", { pitch: 2.0, location: player.location, volume: 1.0 });
        player.playAnimation("attack");
        damageDurability1 ();
      }
    }
      else return;
    }
  }
)
