
import { world, system, Player, ItemStack, ItemTypes } from "@minecraft/server";


world.afterEvents.entityHurt.subscribe(async eventData => {
  let entityHurt = eventData.hurtEntity
  let player = eventData.damageSource.damagingEntity
  let equipment = player.getComponent("equippable")
  let hand = equipment.getEquipment("Mainhand")
  let tame = entityHurt.getComponent( "minecraft:is_tamed" );
  let lore = hand.getLore()
  if (entityHurt && hand && !tame && hand?.typeId == "mc:genie_lamp" && lore.length == 0 && entityHurt.typeId != "minecraft:player") {
    let newItem = new ItemStack(ItemTypes?.get("mc:genie_lamp_captured"))
    lore.push(`§fID: ${entityHurt.id}`)
    newItem.setLore(lore)
    player.runCommandAsync(`titleraw @p actionbar {"rawtext":[{"translate":"function.lampc"}]}`);
    entityHurt.runCommandAsync(`structure save ${entityHurt.id}_mob_capture_device ${entityHurt.location.x} ${entityHurt.location.y} ${entityHurt.location.z} ${entityHurt.location.x} ${entityHurt.location.y} ${entityHurt.location.z} true disk false`).then(r => {
      entityHurt.teleport({
        x: 0, y: -100, z: 0
      })
      entityHurt.kill
      equipment.setEquipment("Mainhand", newItem)
    })
  }
  if (entityHurt && hand && tame && hand?.typeId == "mc:genie_lamp" && lore.length == 0 && entityHurt.typeId != "minecraft:player") {
  	entityHurt.runCommandAsync(`effect @e[c=1,r=5,type=!item,type=!xp_orb,family=!inanimate,type=!player] instant_health 1 0 false`)
  	}
})
world.afterEvents.itemUse.subscribe(async({
  itemStack: item, source: player
}) => {
  if (item && item.getLore().length > 0 && item.typeId == "mc:genie_lamp_captured") {
    let newItem = new ItemStack(ItemTypes?.get("mc:genie_lamp"))
    player.runCommandAsync(`titleraw @p actionbar {"rawtext":[{"translate":"function.lampe"}]}`);
    await player.runCommandAsync(`structure load ${Number(item.getLore()[0].split("§fID: ")[1])}_mob_capture_device ${player.location.x} ${player.location.y} ${player.location.z}`)
    player.runCommandAsync(`effect @e[c=1,r=5,type=!item,type=!xp_orb,family=!inanimate,family=!boss,type=!player] instant_health 1 0 false`)
    newItem.setLore([])
    player.getComponent("equippable").setEquipment("Mainhand", newItem)
  }
})